> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/listfiltermappings-1.md).

# get list of filter mappings

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/citrus-filter-mapping-api/filtermapping/listfiltermappings-1) in the new Integration APIs space of our documentation.
{% endhint %}

## GET /filter-mapping

> get list of filter mappings

```json
{"openapi":"3.0.0","info":{"title":"Citrus filter-mapping API","version":"0.0.1-alpha"},"servers":[{"url":"https://$BASE_URL.citrusad.com/v1"}],"security":[{"TokenSecurity":[]}],"components":{"securitySchemes":{"TokenSecurity":{"description":"For accessing the API a valid JWT jwt must be passed in all queries in\nthe 'Authorization' header. The following syntax must be used in the\n'Authorization' header.\n\nBearer xxx.yyy.zzz\n","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"ListFilterMappingsResponse":{"properties":{"filterMappings":{"items":{"$ref":"#/components/schemas/FilterMapping"},"type":"array"},"nextPageToken":{"type":"string"}},"type":"object"},"FilterMapping":{"properties":{"catalogId":{"type":"string"},"displayName":{"type":"string"},"filter":{"type":"string"},"id":{"type":"string"}},"required":["id","catalogId","filter","displayName"],"type":"object"},"Response":{"properties":{"errorMessages":{"items":{"properties":{"code":{"type":"integer"},"message":{"type":"string"}},"type":"object"},"type":"array"},"isSuccessful":{"type":"boolean"}},"type":"object"}},"responses":{"InvalidRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"There was a problem with input."},"UnAuthorized":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"Login failed or token not valid."},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"There was a server problem."}}},"paths":{"/filter-mapping":{"get":{"operationId":"listFilterMappings","parameters":[{"in":"query","name":"catalogId","required":true,"schema":{"type":"string"}},{"in":"query","name":"filters","required":false,"schema":{"type":"string"}},{"in":"query","name":"pageSize","required":true,"schema":{"type":"integer"}},{"in":"query","name":"pageToken","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListFilterMappingsResponse"}}},"description":"A list of filterMapping objects for catalog"},"400":{"$ref":"#/components/responses/InvalidRequest"},"401":{"$ref":"#/components/responses/UnAuthorized"},"403":{"$ref":"#/components/responses/UnAuthorized"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"get list of filter mappings","tags":["filterMapping"]}}}}
```
